# $Revision: 1.33 $, $Date: 2004/11/18 15:40:50 $
%define		stamps_ver	2004-10-03
Summary:	Tux Paint - A simple drawing program for children
Summary(pl):	Tux Paint - Prosty program do rysowania dla dzieci
Name:		tuxpaint
Version:	0.9.14
Release:	3
Epoch:		1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/tuxpaint/%{name}-%{version}.tar.gz
# Source0-md5:	0b7522c1b3672d5c233f7bbc772c8dec
Source1:	http://dl.sourceforge.net/tuxpaint/%{name}-stamps-%{stamps_ver}.tar.gz
# Source1-md5:	acb764a25d82843626ff0c1e9ed5da8d
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-vfolders.patch
Patch3:		%{name}-locale_names.patch
Patch4:		%{name}-pl.patch
URL:		http://www.newbreedsoftware.com/tuxpaint/
BuildRequires:	SDL_image-devel >= 1.2.2
BuildRequires:	SDL_mixer-devel >= 1.2.4
BuildRequires:	SDL_ttf-devel >= 2.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
Tux Paint is a simple drawing program for young children (3-10 years
old). It is not meant as a general-purpose drawing tool. It is meant
to be fun and easy to use. Sound effects and a cartoon character help
let the user know what's going on, and keeps them entertained. There
are also extra-large cartoon-style mouse pointer shapes.

%description -l pl
Tux Paint jest prostym programem rysunkowym dla dzieci (3-10 lat). Nie
ma on by narzdziem sucym oglnemu celowi nauki rysowania, lecz
programem atwym w uyciu, sucym zabawie. Efekty dwikowe i
komiksowy charakter pomagaj uytkownikowi w atwym poruszaniu si po
programie, czynic go rozrywkowym. W programie jest take duy
wskanik myszki oraz przyciski utrzymane w stylu komiksowym.

%package stamps
Summary:	Tux Paint - Collection of "rubber stamp" images
Summary(pl):	Tux Paint - Kolekcja obrazw z "gumowej piecztki"
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description stamps
This is a collection of "rubber stamp" images for Tux Paint.

%description stamps -l pl
Jest to kolekcja obrazw dla Tux Painta zwana "gumowa piecztka".

%prep
%setup -q -a 1
%patch0 -p0
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix}/ \
	CONFDIR=%{_sysconfdir}/ \
	DATA_PREFIX=%{_datadir}/tuxpaint/ \
	DOC_PREFIX=%{_datadir}/doc/ \
	ICON_PREFIX=%{_pixmapsdir}/ \
	X11_ICON_PREFIX=%{_pixmapsdir}/ \
	LOCALE_PREFIX=%{_datadir}/locale \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_pixmapsdir},%{_desktopdir},%{_datadir}/%{name}/stamps}

%{__make} install \
	_prefix=$RPM_BUILD_ROOT%{_prefix}/ \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/ \
	MAN_PREFIX=$RPM_BUILD_ROOT%{_mandir}/ \
	GNOME_PREFIX=$RPM_BUILD_ROOT%{_prefix}/ \
	KDE_PREFIX=$RPM_BUILD_ROOT%{_desktopdir}/ \
	X11_ICON_PREFIX=$RPM_BUILD_ROOT%{_pixmapsdir}/

install src/tuxpaint.conf $RPM_BUILD_ROOT%{_sysconfdir}
install data/images/icon48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/tuxpaint.png

%{__make} -C %{name}-stamps-%{stamps_ver} install \
	DATA_PREFIX=$RPM_BUILD_ROOT%{_datadir}/%{name}/

chmod -R a+rwx $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/{doc/tuxpaint,gnome/apps,tuxpaint/CVS}

#rm a lot of unwanted files and directories:
find docs/ -type d|grep CVS|xargs rm -rf
find docs/ -name "[KC]OP*" -exec rm -f "{}" ";"
find docs/ -name "INS*" -exec rm -f "{}" ";"
find docs/ -name "AUT*" -exec rm -f "{}" ";"
find docs/ -size -50c -type f -exec rm -f "{}" ";"
find docs/ -empty |xargs rm -rf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%{_sysconfdir}/tuxpaint.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/brushes
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/images
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/starters
%{_desktopdir}/*
%{_pixmapsdir}/*

%files stamps
%defattr(644,root,root,755)
%{_datadir}/%{name}/stamps

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tuxpaint.spec,v $
Revision 1.33  2004/11/18 15:40:50  ankry
- pl updated, rel. 3

Revision 1.32  2004/11/10 15:56:16  ankry
- locale fixes, rel. 2

Revision 1.31  2004/11/01 18:30:23  adamg
- stamps updated to 2004-10-03
- removed desktop file (there is one in sources)
- added missing %{_datadir}/%{name}/starters dir

Revision 1.30  2004/11/01 16:42:14  adamg
- updated to 0.9.14

Revision 1.29  2004/10/18 19:29:55  qboosh
- __cc fix, gpm-friendly Source URLs

Revision 1.28  2004/08/20 17:51:13  kolodko
- rm a lot of unwanted files and directories in doc

Revision 1.27  2004/07/05 20:16:55  adamg
- did I fix what I broke? did I? did I? Say I fixed that! Builds now!

Revision 1.26  2004/07/04 21:57:26  adamg
- applnk -> vfolders; release 3

Revision 1.25  2003/12/25 17:18:53  undefine
- update to 0.9.13

Revision 1.24  2003/12/01 01:51:13  undefine
- think!

Revision 1.23  2003/12/01 01:49:13  undefine
- dummy workaround, release 2

Revision 1.22  2003/12/01 01:09:36  undefine
- change some pathes. If You thing that something is wrong, simply fix it.

Revision 1.21  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.20  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.19  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.18  2003/05/28 13:02:23  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:27:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/12 08:39:54  qboosh
- Epoch 1

Revision 1.15  2003/02/12 08:37:17  cieciwa
- updated to version 0.9.9,
- updated source location.

Revision 1.14  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.13  2002/10/11 07:42:27  qboosh
- added opt patch, release 2

Revision 1.12  2002/10/10 15:48:26  kloczek
- finished.

Revision 1.11  2002/10/10 11:15:56  qboosh
- fixed install

Revision 1.10  2002/10/09 13:30:18  qboosh
- typos, fixed files list, cleanups

Revision 1.9  2002/10/06 07:48:10  djrzulf
- another typo,

Revision 1.8  2002/10/05 17:21:07  djrzulf
- fixed typo,

Revision 1.7  2002/10/05 15:51:15  djrzulf
- .desktop file from repo

Revision 1.6  2002/10/05 14:46:21  djrzulf
- section clean

Revision 1.5  2002/10/05 14:20:53  djrzulf
- fixed Group,

Revision 1.4  2002/10/05 14:19:37  djrzulf
- finished, Release 1, STBR,
- Have fun!

Revision 1.3  2002/10/05 13:08:53  djrzulf
- Release 0.2, some cleanups, temporary save,

Revision 1.2  2002/10/05 11:50:23  djrzulf
- summary and desc updated,

Revision 1.1  2002/10/04 22:02:25  cieciwa
- initial release 0.1,
- NFY needs %%description, %%files, %%build.
